Page MenuHomePhabricator

efl: make Efl.Ui.Factory.release work in batches.
ClosedPublic

Authored by cedric on Sep 15 2019, 11:38 PM.

Details

Summary

This will enable better strategy in scheduling removal of object from the cache
instead of doing the throttling in the View as there is a better understanding
of the different layer the items are going to go through and where they will
consume time.

Depends on D9954

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Sep 15 2019, 11:38 PM
bu5hm4n accepted this revision.Sep 16 2019, 1:09 AM
This revision is now accepted and ready to land.Sep 16 2019, 1:09 AM
cedric updated this revision to Diff 25198.Sep 19 2019, 1:16 PM
cedric edited the summary of this revision. (Show Details)

rebase and take into account

cedric updated this revision to Diff 25288.Fri, Sep 20, 3:24 PM

phab!!!

cedric updated this revision to Diff 25415.Mon, Sep 23, 4:12 PM

rebase and take comments into account

Closed by commit rEFL5493cc539678: efl: make Efl.Ui.Factory.release work in batches. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyTue, Sep 24, 12:20 AM
This revision was automatically updated to reflect the committed changes.